DistanceHandler.Precision (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.DistanceHandler.Precision class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.spatial.tier
Enum DistanceHandler.Precision

    java.lang.Object
      java.lang.Enum<DistanceHandler.Precision>
          org.apache.lucene.spatial.tier.DistanceHandler.Precision

All Implemented Interfaces:
  Serializable, Comparable<DistanceHandler.Precision>

Enclosing class:
  DistanceHandler

    public static enum DistanceHandler.Precision

extends Enum<DistanceHandler.Precision>

Enum Constant Summary
`EXACT`
`TWENTYFEET`
`TWOFEET`
`TWOHUNDREDFEET`

Method Summary
`static DistanceHandler.Precision` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DistanceHandler.Precision[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final DistanceHandler.Precision EXACT

### TWOFEET

    public static final DistanceHandler.Precision TWOFEET

### TWENTYFEET

    public static final DistanceHandler.Precision TWENTYFEET

### TWOHUNDREDFEET

    public static final DistanceHandler.Precision TWOHUNDREDFEET

Method Detail

### values

    public static final DistanceHandler.Precision[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DistanceHandler.Precision c : DistanceHandler.Precision.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DistanceHandler.Precision valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD